Issue Details (XML | Word | Printable)

Key: CORE-4346
Type: Bug Bug
Status: Closed Closed
Resolution: Fixed
Priority: Major Major
Assignee: Dmitry Yemanov
Reporter: Dmitry Yemanov
Votes: 0
Watchers: 0
Operations

If you were logged in you would be able to see more operations.
Firebird Core

v3 GBAK cannot restore backups on pre-v3 server versions

Created: 20/Feb/14 06:51 AM   Updated: 22/Sep/15 09:40 AM
Component/s: GBAK
Affects Version/s: 3.0 Alpha 1, 3.0 Alpha 2
Fix Version/s: 3.0 Beta 1

QA Status: Cannot be tested
Test Details:
Deferred. Seems test must know where GBAK v3 lives (its FB3 home folder) and must have the port number of FB 2.5 instance.
Currently I have no info how it can be done using fbt_run.


 Description  « Hide
Restore ends with error:

gbak: ERROR:invalid request BLR at offset 201
gbak: ERROR: generator RDB$GENERATOR_NAME is not defined
gbak:Exiting before completion due to errors


 All   Comments   Change History   Subversion Commits      Sort Order: Descending order - Click to sort in ascending order
Dmitry Yemanov added a comment - 20/Feb/14 07:56 AM - edited
The latter, in fact it's about backups made by whatever GBAK version being restored using v3 GBAK connected to the v2.5 server. It did work and generally it should work (with some exceptions like v2.5 -> pre-v2.5 due to different security class naming rules). I know we never officially promised that to work, but the code to handle that was there for years.

Helen Borrie added a comment - 20/Feb/14 07:32 AM
Seems an ambiguous description, Dmitry. Do you mean
a) backups MADE on pre-v3 server versions can't be restored by gbak v.3 (under v.3 server) -- OOPS!
or
b) backups made by v.3 gbak can't be restored by v.3 gbak (attaching to older versions of the server) -- no surprise?